﻿{
  "Jwt": {
    "Audience": {
      "Validate": false,
      "Value": "proskive-notification-service"
    },
    "Authority": "http://localhost:8040/auth/realms/UCT",
    "RequireHttps": false
  },
  "MongoDb": {
    "ConnectionString": "mongodb://localhost:27017/",
    "Database": "notificationsdb_dev",
    "CollectionName": "notifications",
    "Auth": {
      "UseAuth": true,
      "AuthDatabase": "admin",
      "Username": "devUser",
      "Password": "devUser"
    }
  },
  "Smtp": {
    "host": "localhost",
    "port": 1025
  },
  "eureka": {
    "enabled": true,
    "client": {
      "shouldRegisterWithEureka": true,
      "shouldFetchRegistry": false,
      "serviceUrl": "http://localhost:8761/eureka"
    },
    "instance": {
      "appName": "NOTIFICATION-SERVICE",
      "vipAddress": "notification-service",
      "secureVipAddress": "notification-service",
      "hostname": "localhost",
      "port": 9000,
      "preferIpAddress": false
    }
  },
  "Info": {
    "Name": "notification-service"
  },
  "Logging": {
    "IncludeScopes": false,
    "Debug": {
      "LogLevel": {
        "Default": "Information"
      }
    },
    "Console": {
      "LogLevel": {
        "Default": "Information"
      }
    }
  }
}
